#
# Conditional build:
%bcond_without	ssl	# SSL library

Summary:	A minimalistic C client library for Redis
Summary(pl.UTF-8):	Minimalistyczna biblioteka C klienta Redisa
Name:		hiredis
Version:	1.0.0
Release:	2
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/redis/hiredis/releases
Source0:	https://github.com/redis/hiredis/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	209ae570cdee65a5143ea6db8ac07fe3
Patch0:		link.patch
URL:		https://github.com/redis/hiredis/
%{?with_ssl:BuildRequires:	openssl-devel}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hiredis is a minimalistic C client library for the Redis database.

%description -l pl.UTF-8
Hiredis to minimalistyczna biblioteka C klienta bazy danych Redis.

%package devel
Summary:	Header files for hiredis C development
Summary(pl.UTF-8):	Pliki nagłówkowe do programowania w C z użyciem hiredisa
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files to develop applications using a
Redis database.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe do tworzenia aplikacji
wykorzystujących bazę danych Redis.

%package static
Summary:	Static hiredis library
Summary(pl.UTF-8):	Statyczna biblioteka hiredis
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static hiredis library.

%description static -l pl.UTF-8
Statyczna biblioteka hiredis.

%package ssl
Summary:	SSL support library for hiredis
Summary(pl.UTF-8):	Biblioteka opsługi SSL dla biblioteki hiredis
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description ssl
SSL support library for hiredis.

%description ssl -l pl.UTF-8
Biblioteka opsługi SSL dla biblioteki hiredis.

%package ssl-devel
Summary:	Header file for hiredis SSL library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki hiredis SSL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-ssl = %{version}-%{release}
Requires:	openssl-devel

%description ssl-devel
Header file for hiredis SSL library.

%description ssl-devel -l pl.UTF-8
Plik nagłówkowy biblioteki hiredis SSL.

%package ssl-static
Summary:	Static hiredis SSL library
Summary(pl.UTF-8):	Statyczna biblioteka hiredis SSL
Group:		Development/Libraries
Requires:	%{name}-ssl-devel = %{version}-%{release}

%description ssl-static
Static hiredis SSL library.

%description ssl-static -l pl.UTF-8
Statyczna biblioteka hiredis SSL.

%package tools
Summary:	Test utility for hiredis
Summary(pl.UTF-8):	Narzędzie testowe do biblioteki hiredis
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}
%if %{with ssl}
Requires:	%{name}-ssl = %{version}-%{release}
%endif

%description tools
Test utility for hiredis.

%description tools -l pl.UTF-8
Narzędzie testowe do biblioteki hiredis.

%prep
%setup -q
%patch0 -p1

%build
%{__make} -j1 \
	CC="%{__cc}" \
	DEBUG="" \
	LDFLAGS="%{rpmldflags}" \
	OPTIMIZATION="%{rpmcflags} %{rpmcppflags}" \
	PREFIX=%{_prefix} \
	LIBRARY_PATH=%{_lib} \
	%{?with_ssl:USE_SSL=1}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL="cp -p" \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix} \
	LIBRARY_PATH=%{_lib} \
	%{?with_ssl:USE_SSL=1}

install -d $RPM_BUILD_ROOT%{_bindir}
install -p hiredis-test $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md COPYING README.md
%attr(755,root,root) %{_libdir}/libhiredis.so.1.0.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhiredis.so
%dir %{_includedir}/hiredis
%{_includedir}/hiredis/adapters
%{_includedir}/hiredis/alloc.h
%{_includedir}/hiredis/async.h
%{_includedir}/hiredis/hiredis.h
%{_includedir}/hiredis/read.h
%{_includedir}/hiredis/sds.h
%{_pkgconfigdir}/hiredis.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libhiredis.a

%if %{with ssl}
%files ssl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhiredis_ssl.so.1.0.0

%files ssl-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhiredis_ssl.so
%{_includedir}/hiredis/hiredis_ssl.h
%{_pkgconfigdir}/hiredis_ssl.pc

%files ssl-static
%defattr(644,root,root,755)
%{_libdir}/libhiredis_ssl.a
%endif

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/hiredis-test
%changelog
* Sat Oct 24 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/hiredis.git;a=log;h=master

* Sat Oct 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 74635db
- release 2

* Sat Oct 24 2020 Jakub Bogusz <qboosh@pld-linux.org> b5f30a5
- non-parallel make

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 1e34b0d
- separated -tools (currently hiredis-test), as it requires -ssl library if built with ssl

* Sat Sep 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 711e634
- updated to 1.0.0 (note: new soname)
- updated link patch; switched to upstream soname
- package ssl library

* Wed Apr 29 2020 Jakub Bogusz <qboosh@pld-linux.org> ad10e8d
- updated to 0.14.1 (CVE-2020-7105)

* Sun Mar 10 2019 Jakub Bogusz <qboosh@pld-linux.org> 87a3c65
- updated to 0.14.0

* Tue Nov 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 4486cff
- updated to 0.13.3
- updated link patch

* Mon Jun 08 2015 Jakub Bogusz <qboosh@pld-linux.org> 392c08b
- updated to 0.13.1
- updated link patch

* Thu Feb 26 2015 Elan Ruusamäe <glen@delfi.ee> 97a09bf
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 12 2013 Jakub Bogusz <qboosh@pld-linux.org> e217076
- adjusted link patch to fix soname and use (preferred) direct and .so symlink

* Thu Dec 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 7fdd30f
- new URLs, updated to 0.11.0
- updated link patch, package also static library

* Tue Dec 20 2011 Elan Ruusamäe <glen@pld-linux.org> e0ef747
- link soname properly

* Tue Dec 20 2011 Elan Ruusamäe <glen@pld-linux.org> 0aa38b0
- new; from fedora

